Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1602848 - When double clicking save, breaks service dialog
Summary: When double clicking save, breaks service dialog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Roman Blanco
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-18 15:52 UTC by David Luong
Modified: 2019-02-07 23:03 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:03:30 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
screenshot (deleted)
2018-07-18 15:52 UTC, David Luong
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:37 UTC

Description David Luong 2018-07-18 15:52:51 UTC
Created attachment 1459743 [details]
screenshot

Description of problem:
When editing a service dialog OR copying a service dialog, it breaks the dialog, leaving duplicate boxes, and unable to fix afterwards.

Version-Release number of selected component (if applicable):
5.9.3.4

How reproducible:
Always

Steps to Reproduce:
1.  Edit service dialog OR Copy service dialog
2.  Double click save
3.

Actual results:
If copying service dialog, it breaks the original dialog, not the copy.
If editing the dialog, breaks the edited dialog.  

In both instances, it duplicates tabs and when one tries to edit and remove duplicate tabs/boxes, they are unable to.

Expected results:
Saves properly

Additional info:

Comment 5 CFME Bot 2018-08-20 12:27:39 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/b6d3228ff54d0628f5fcdde381b34aeda8f68b4e
commit b6d3228ff54d0628f5fcdde381b34aeda8f68b4e
Author:     Roman Blanco <rblanco@redhat.com>
AuthorDate: Mon Jul 23 09:04:53 2018 -0400
Commit:     Roman Blanco <rblanco@redhat.com>
CommitDate: Mon Jul 23 09:04:53 2018 -0400

    Prevent double submit in Dialog Editor

    Fixes: https://bugzilla.redhat.com/show_bug.cgi?id=1602848

    First I've tried using a directive ngDblclick (https://docs.angularjs.org/api/ng/directive/ngDblclick#ngDblclick-info), which didn't help.

    Disabling the button after click did the magic

 app/assets/javascripts/controllers/dialog_editor/dialog_editor_controller.js | 3 +
 app/views/miq_ae_customization/editor.html.haml | 3 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

Comment 6 Niyaz Akhtar Ansari 2018-10-08 06:31:31 UTC
Verified in Version 5.10.0.18.20181003162715_dfcff5a

Comment 7 errata-xmlrpc 2019-02-07 23:03:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.